# class RSS::Rss::Channel

### Constants

Category

### Private Instance Methods

maker_target(maker) click to toggle source

    # File lib/rss/0.9.rb, line 137
    def maker_target(maker)
      maker.channel
    end

not_need_to_call_setup_maker_variables() click to toggle source

    # File lib/rss/0.9.rb, line 157
    def not_need_to_call_setup_maker_variables
      %w(image textInput)
    end

setup_maker_elements(channel) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 141
    def setup_maker_elements(channel)
      super
      [
        [skipDays, "day"],
        [skipHours, "hour"],
      ].each do |skip, key|
        if skip
          skip.__send__("#{key}s").each do |val|
            target_skips = channel.__send__("skip#{key.capitalize}s")
            new_target = target_skips.__send__("new_#{key}")
            new_target.content = val.content
          end
        end
      end
    end